Productsup
API referenceV1Export template attribute alias

Creates a new export template attribute alias.

An export template attribute alias is an alias of an export template attribute. Once created, it can be assigned to an export template attribute as an alias of the field. This endpoint allows the creation of an export template attribute alias.

POST
/V1/export-template-attribute-aliases

Authorization

bearerAuth
AuthorizationBearer <token>

ProductsUp Keycloak JWT bearer token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

name*string

Name of the export export field alias. It can be up to 250 characters.

Response Body

application/json

application/json

curl -X POST "https://export-template-api.productsup.com/V1/export-template-attribute-aliases" \  -H "Content-Type: application/json" \  -d '{    "name": "My field alias"  }'
{
  "data": {
    "id": 199
  }
}
{
  "errors": {
    "message": "Request validation has encountered constraint violations.",
    "errors": {
      "name": [
        "This field is missing."
      ]
    }
  }
}

How is this guide?